Merge pull request #76244 from cblecker/dep-script-fixups

Couple of dependency script cleanups
k3s-v1.15.3
Kubernetes Prow Robot 2019-04-12 03:23:17 -07:00 committed by GitHub
commit 28d5023137
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
6 changed files with 8 additions and 83 deletions

5
Godeps/Readme generated
View File

@ -1,5 +0,0 @@
This directory tree is generated automatically by godep.
Please do not edit.
See https://github.com/tools/godep for more information.

View File

@ -48,8 +48,6 @@ fi
# Exclude vendor checks in certain cases, if they're running in a separate job. # Exclude vendor checks in certain cases, if they're running in a separate job.
if [[ ${EXCLUDE_GODEP:-} =~ ^[yY]$ ]]; then if [[ ${EXCLUDE_GODEP:-} =~ ^[yY]$ ]]; then
EXCLUDED_PATTERNS+=( EXCLUDED_PATTERNS+=(
"verify-godeps.sh" # runs in separate godeps job
"verify-godeps-licenses.sh" # runs in separate godeps job
"verify-vendor.sh" # runs in separate godeps job "verify-vendor.sh" # runs in separate godeps job
"verify-vendor-licenses.sh" # runs in separate godeps job "verify-vendor-licenses.sh" # runs in separate godeps job
) )

View File

@ -1,23 +0,0 @@
#!/usr/bin/env bash
# Copyright 2015 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set -o errexit
set -o nounset
set -o pipefail
KUBE_ROOT=$(dirname "${BASH_SOURCE[0]}")/..
echo "Deprecated, use verify-vendor-licenses.sh instead"
"${KUBE_ROOT}/hack/verify-vendor-licenses.sh" "$@"

View File

@ -1,23 +0,0 @@
#!/usr/bin/env bash
# Copyright 2015 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
set -o errexit
set -o nounset
set -o pipefail
KUBE_ROOT=$(dirname "${BASH_SOURCE[0]}")/..
echo "Deprecated, use verify-vendor.sh instead"
"${KUBE_ROOT}/hack/verify-vendor.sh" "$@"

View File

@ -21,15 +21,6 @@ set -o pipefail
KUBE_ROOT=$(dirname "${BASH_SOURCE[0]}")/.. KUBE_ROOT=$(dirname "${BASH_SOURCE[0]}")/..
source "${KUBE_ROOT}/hack/lib/init.sh" source "${KUBE_ROOT}/hack/lib/init.sh"
readonly branch=${1:-${KUBE_VERIFY_GIT_BRANCH:-master}}
if ! [[ ${KUBE_FORCE_VERIFY_CHECKS:-} =~ ^[yY]$ ]] && \
! kube::util::has_changes "${branch}" 'Godeps/' && \
! kube::util::has_changes "${branch}" 'go.mod' && \
! kube::util::has_changes "${branch}" 'go.sum' && \
! kube::util::has_changes "${branch}" 'vendor/'; then
exit 0
fi
# create a nice clean place to put our new licenses # create a nice clean place to put our new licenses
# must be in the user dir (e.g. KUBE_ROOT) in order for the docker volume mount # must be in the user dir (e.g. KUBE_ROOT) in order for the docker volume mount
# to work with docker-machine on macs # to work with docker-machine on macs
@ -40,7 +31,7 @@ function cleanup {
#echo "Removing workspace: ${_tmpdir}" #echo "Removing workspace: ${_tmpdir}"
rm -rf "${_tmpdir}" rm -rf "${_tmpdir}"
} }
trap cleanup EXIT kube::util::trap_add cleanup EXIT
cp -r "${KUBE_ROOT}/Godeps" "${_tmpdir}/Godeps" cp -r "${KUBE_ROOT}/Godeps" "${_tmpdir}/Godeps"
ln -s "${KUBE_ROOT}/LICENSE" "${_tmpdir}" ln -s "${KUBE_ROOT}/LICENSE" "${_tmpdir}"

View File

@ -21,29 +21,16 @@ set -o pipefail
KUBE_ROOT=$(dirname "${BASH_SOURCE[0]}")/.. KUBE_ROOT=$(dirname "${BASH_SOURCE[0]}")/..
source "${KUBE_ROOT}/hack/lib/init.sh" source "${KUBE_ROOT}/hack/lib/init.sh"
readonly branch=${1:-${KUBE_VERIFY_GIT_BRANCH:-master}} # create a nice clean place to put our new licenses
if ! [[ ${KUBE_FORCE_VERIFY_CHECKS:-} =~ ^[yY]$ ]] && \ # must be in the user dir (e.g. KUBE_ROOT) in order for the docker volume mount
! kube::util::has_changes "${branch}" 'Godeps/' && \ # to work with docker-machine on macs
! kube::util::has_changes "${branch}" 'go.mod' && \ mkdir -p "${KUBE_ROOT}/_tmp"
! kube::util::has_changes "${branch}" 'go.sum' && \ _tmpdir="$(mktemp -d "${KUBE_ROOT}/_tmp/kube-vendor.XXXXXX")"
! kube::util::has_changes "${branch}" 'vendor/' && \
! kube::util::has_changes "${branch}" 'staging/' && \
! kube::util::has_changes "${branch}" 'hack/lib/' && \
! kube::util::has_changes "${branch}" 'hack/.*vendor'; then
exit 0
fi
if [[ -z ${TMP_GOPATH:-} ]]; then
# Create a nice clean place to put our new vendor
_tmpdir="$(kube::realpath "$(mktemp -d -t verifyvendor.XXXXXX)")"
else
# reuse what we might have saved previously
_tmpdir="${TMP_GOPATH}"
fi
if [[ -z ${KEEP_TMP:-} ]]; then if [[ -z ${KEEP_TMP:-} ]]; then
KEEP_TMP=false KEEP_TMP=false
fi fi
function cleanup { function cleanup {
# make go module dirs writeable # make go module dirs writeable
chmod -R +w "${_tmpdir}" chmod -R +w "${_tmpdir}"
@ -54,7 +41,7 @@ function cleanup {
rm -rf "${_tmpdir}" rm -rf "${_tmpdir}"
fi fi
} }
trap cleanup EXIT kube::util::trap_add cleanup EXIT
# Copy the contents of the kube directory into the nice clean place (which is NOT shaped like a GOPATH) # Copy the contents of the kube directory into the nice clean place (which is NOT shaped like a GOPATH)
_kubetmp="${_tmpdir}" _kubetmp="${_tmpdir}"